### Method

# Gtk MediaFileget_input_stream

#### Declaration [src]

    GInputStream*
    gtk_media_file_get_input_stream (
      GtkMediaFile* self
    )

#### Description [src]

Returns the stream that `self` is currently playing from.

When `self` is not playing or not playing from a stream, `NULL` is returned.

Gets property | `Gtk.MediaFile:input-stream`

#### Return value

Type: `GInputStream`

The currently playing stream.

The data is owned by the instance.
The return value can be `NULL`.